Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 640186 - prefix: please establish if you need migration off SYMLINK_LIB=yes
Summary: prefix: please establish if you need migration off SYMLINK_LIB=yes
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Profiles (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2017-12-07 17:04 UTC by Michał Górny
Modified: 2021-01-07 20:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-12-07 17:04:39 UTC
prefix/linux/x86/profile.bashrc:

# When x86-linux runs on an amd64 host having /lib32,
# we need to have binutils to search there too (#360197).
# The patches to do so are applied upon SYMLINK_LIB=yes,
# needed when /lib32 is (a symlink to) an existing directory.
if [[ ${CATEGORY}/${PN} = sys-devel/binutils ]] \
&& [[ ${EBUILD_PHASE} == setup ]] \
&& [[ -d ${ROOT}lib32/. ]] \
; then
	export SYMLINK_LIB=yes
fi



We're going to eventually kill off SYMLINK_LIB=yes support entirely. Please establish if this hack is still necessary and how we can replace it when SYMLINK_LIB setting is removed.
Comment 1 Fabian Groffen gentoo-dev 2017-12-09 11:17:20 UTC
I think this is a bit off-topic, but how is (not) using /lib prevented currently?  I'm asking because I think nano is one of those packages that live in the Prefix overlay because we had to make it support /lib pointing to /usr/lib.

That said, we have symlinks in place right now, what is going to be the new thing to basically avoid the usr-split?  I assume we need to migrate towards that.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-12-09 11:23:02 UTC
I'm not sure if we're talking about the same thing.

SYMLINK_LIB=yes controls lib -> lib64 symlink. With SYMLINK_LIB=no, lib and lib64 are separate paths (and all libraries are required to go to lib64, as we already enforce with multilib-strict).
Comment 3 Fabian Groffen gentoo-dev 2017-12-09 11:26:33 UTC
Ah, sorry.  Thanks for the explanation, we talk about different things indeed.  Main Prefix uses /lib regardless (no suffix, the toolchain is patched for that) under linux/with RAP this may be different.  I think that's why you found this snippet.  @heroxbd: do you know the details of this for RAP?
Comment 4 Benda Xu gentoo-dev 2017-12-11 06:30:18 UTC
Hi Michał, prefix/linux/x86/profile.bashrc is being deprecated.  I will be kill eventually once the Prefix profiles are migrated to 17.*.
Comment 5 Larry the Git Cow gentoo-dev 2021-01-07 20:11:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1efcd42dd340551354666bdd704e030145b652e

commit a1efcd42dd340551354666bdd704e030145b652e
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2021-01-07 20:06:50 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2021-01-07 20:10:56 +0000

    profiles/prefix/linux/x86: drop profile.bashrc
    
    SYMLINK_LIB is going away (if it isn't yet), a 32-bootstrap on 64-host
    needs help from bootstrap-prefix.sh to succeed.
    
    Closes: https://bugs.gentoo.org/640186
    Signed-off-by: Fabian Groffen <grobian@gentoo.org>

 profiles/prefix/linux/x86/profile.bashrc | 12 ------------
 1 file changed, 12 deletions(-)